> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3os.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Thirdweb Engine: Create Backend Wallet

Create a new backend wallet in your Thirdweb Engine instance. Returns the new wallet address, status, and type. Ideal for: provisioning wallets for automated transactions, setting up new signing wallets.

![Thirdweb Engine: Create Backend Wallet logo](https://ai-icon.b3.fun/logo/thirdweb-engine)
Catalog action Integrations thirdweb-engine

Create a new backend wallet in your Thirdweb Engine instance. Returns the new wallet address, status, and type. Ideal for: provisioning wallets for automated transactions, setting up new signing wallets.


## At a Glance

| Field | Value |
| --- | --- |
| Action ID | `thirdweb-engine-create-backend-wallet` |
| Category | Integrations |
| Connector | `thirdweb-engine` |
| Requires gas | No |
| Funds movement | None declared |
| Tags | `smart-contract`, `integration`, `wallet`, `blockchain` |

## Payload Schema

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `type` | `string` | Yes | Backend wallet type \(use 'local' for Engine-managed keys\) |
| `label` | `string` | No | Optional human-readable label for the wallet |

## Result Schema

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `walletAddress` | `string` | Yes | The created wallet's address |
| `status` | `string` | Yes | Creation status \(e.g. 'success'\) |
| `type` | `string` | Yes | Wallet type that was created |

## Examples

**Workflow node**

```json
{
  "type": "thirdweb-engine-create-backend-wallet",
  "payload": {
    "type": "local"
  },
  "children": [],
  "connector": {
    "type": "thirdweb-engine",
    "id": "conn_thirdweb_engine"
  }
}
```
  **Test with API**

```bash
curl -X POST "https://api.b3os.org/v1/actions/thirdweb-engine-create-backend-wallet/test" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "inputs": {
    "type": "local"
  }
}'
```

**Use expressions for dynamic values**

Payload fields can use workflow expressions such as `{{$trigger.body.amount}}`, `{{$nodes.fetch.result.price}}`, and `{{$props.asset}}` when the value should come from a trigger, prior node, or reusable workflow prop.